Index: squid/contrib/chpasswd/German.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/German.h,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/contrib/chpasswd/German.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
+++ squid/contrib/chpasswd/German.h	9 Sep 2001 10:34:28 -0000	1.1.2.1.2.2
@@ -1,5 +1,7 @@
 /* German language added by Juergen Scheiderer <jsch@odin.de> */
+
 #if defined(German)
+
 char *msg01 = "Sie haben kein Schreibrecht f&uuml;r die Passwortdatei:";
 char *msg02 = "Fehlendes oder zu kurzes Passwort (weniger als";
 char *msg03 = "Zeichen).";
@@ -17,8 +19,7 @@
 char *msg15 = "Konfigurationsdatei konnte nicht ge&ouml;ffnet werden:";
 char *msg16 = "Protokolldatei konnte nicht ge&ouml;ffnet werden:";
 char *msg17 = "Ung&uuml;ltiges neues Passwort.";
-char *msg18 =
-    "Bitte beachten Sie die folgenden Regeln bei der Passworteingabe:";
+char *msg18 = "Bitte beachten Sie die folgenden Regeln bei der Passworteingabe:";
 char *msg19 = "Zeichen (a-z, A-Z)";
 char *msg20 = "Ziffern (0-9)";
 char *msg21 = "Sonderzeichen (Tastatur)";
@@ -29,108 +30,89 @@
 char *msg26 = "Sie haben keine Berechtigung, Ihr Passwort zu &auml;ndern.";
 char *msg27 = "Authorisations File nicht gefunden.";
 
-static void
-UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
-    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
-    char *width, char *height, char *header, char *bgimage)
+static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
 {
 
-    char rules[255] = "<li>Zusammensetzung:";
-    char wrules[255];
-    int frules = 0;
-
-    printf("Content-type: text/html\n");
-    puts("\n");
-    printf("<html>\n");
-    printf("<head>\n");
-    printf("  <title>Aendern des Zugriffspasswortes</title>\n");
-    printf("</head>\n");
-    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
-	bgimage);
-
-    if (strlen(logo) > 0)
-	printf
-	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
-	    logo, width, height, ticolor, header);
-    else
-	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
-
-    printf
-	("Aus Sicherheitsgr&uuml;nden sollten Sie sich bei Eingabe ihres neuen Passworts an folgenden Regeln orientieren:\n");
-    printf("<ul>\n");
-    printf
-	("<li>Im Passwort wird zwischen Gross- und Kleinbuchstaben unterschieden. 'A' ist also nicht gleich 'a'.<br>\n");
-    printf
-	("<li>Sie k&ouml;nnen Buchstaben, Ziffern und andere Zeichen auf Ihrer Tastatur verwenden.<br>\n");
-
-
-    printf("<li>Regeln f&uuml;r das neue Passwort:<br>");
-    printf
-	("<ul><li>L&auml;nge: mindestens <font color=%s><b>%s</b></font>, h&ouml;chstens <font color=%s><b>%s</b></font> Zeichen.<br>\n",
-	rucolor, minlen, rucolor, maxlen);
-
-    if (strcmp(minchar, "0") != 0) {
-	sprintf(wrules,
-	    " Buchstaben (a-z, A-Z):<font color=%s><b> %s</b></font>", rucolor,
-	    minchar);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minnum, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules, " Ziffern (0-9):<font color=%s><b> %s</b></font>",
-	    rucolor, minnum);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minspec, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules,
-	    " Sonderzeichen (Tastatur):<font color=%s><b> %s</b></font>",
-	    rucolor, minspec);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (!frules) {
-	sprintf(wrules, "<font color=%s><b> freie Zeichenwahl</b></font>",
-	    rucolor);
-	strcat(rules, wrules);
-    }
-    strcat(rules, "<br>");
-    printf(rules);
-    printf("</ul>\n");
-
-    printf
-	("<li>Ihr neues Passwort wird innerhalb der n&auml;chsten 15 Minuten aktiviert.\n");
-    printf("</ul>\n");
-    printf("<form action='chpasswd.cgi' method=POST>\n");
-    printf("<center>\n");
-    printf("<hr noshade>\n");
-    printf("<table cellpadding=0 cellspacing=0>\n");
-    printf("  <tr><td align=right>Benutzername:\n");
-    printf("      <td><input type=text name=user size=10>\n");
-    printf("  <tr><td align=right>aktuelles Passwort:\n");
-    printf("      <td><input type=password name=old_pw size=10>\n");
-    printf("  <tr><td align=right>neues Passwort:\n");
-    printf("      <td><input type=password name=new_pw1 size=10>\n");
-    printf("  <tr><td align=right>neues Passwort wiederholen:\n");
-    printf("      <td><input type=password name=new_pw2 size=10>\n");
-    printf("</table>\n");
-    printf("<hr noshade>\n");
-    printf("<input type=submit name=change value='Passwort &auml;ndern'>\n");
-    printf("<input type=reset name=reset value='Eingaben l&ouml;schen'>\n");
-    printf
-	("<input type=submit name=cancel value='Passwort doch nicht &auml;ndern'>\n");
-    printf("</center>\n");
-    printf("</form>\n");
-    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
-    printf("</body>\n");
-    printf("</html>\n");
+  char rules[255] = "<li>Zusammensetzung:";
+  char wrules[255];
+  int  frules=0;
+
+  printf("Content-type: text/html\n");
+  puts("\n");
+  printf("<html>\n");
+  printf("<head>\n");
+  printf("  <title>Aendern des Zugriffspasswortes</title>\n");
+  printf("</head>\n");
+  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
+
+  if(strlen(logo) > 0)
+     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
+   else
+     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
+
+  printf("Aus Sicherheitsgr&uuml;nden sollten Sie sich bei Eingabe ihres neuen Passworts an folgenden Regeln orientieren:\n");
+  printf("<ul>\n");
+  printf("<li>Im Passwort wird zwischen Gross- und Kleinbuchstaben unterschieden. 'A' ist also nicht gleich 'a'.<br>\n");
+  printf("<li>Sie k&ouml;nnen Buchstaben, Ziffern und andere Zeichen auf Ihrer Tastatur verwenden.<br>\n");
+
+
+  printf("<li>Regeln f&uuml;r das neue Passwort:<br>");
+  printf("<ul><li>L&auml;nge: mindestens <font color=%s><b>%s</b></font>, h&ouml;chstens <font color=%s><b>%s</b></font> Zeichen.<br>\n",rucolor,minlen,rucolor,maxlen);
+
+  if(strcmp(minchar,"0") != 0) {
+     sprintf(wrules," Buchstaben (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minnum,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," Ziffern (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minspec,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," Sonderzeichen (Tastatur):<font color=%s><b> %s</b></font>",rucolor,minspec);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(!frules){
+     sprintf(wrules,"<font color=%s><b> freie Zeichenwahl</b></font>",rucolor);
+     strcat(rules,wrules);
+  }
+  strcat(rules,"<br>");
+  printf(rules);
+  printf("</ul>\n");
+
+  printf("<li>Ihr neues Passwort wird innerhalb der n&auml;chsten 15 Minuten aktiviert.\n");
+  printf("</ul>\n");
+  printf("<form action='chpasswd.cgi' method=POST>\n");
+  printf("<center>\n");
+  printf("<hr noshade>\n");
+  printf("<table cellpadding=0 cellspacing=0>\n");
+  printf("  <tr><td align=right>Benutzername:\n");
+  printf("      <td><input type=text name=user size=10>\n");
+  printf("  <tr><td align=right>aktuelles Passwort:\n");
+  printf("      <td><input type=password name=old_pw size=10>\n");
+  printf("  <tr><td align=right>neues Passwort:\n");
+  printf("      <td><input type=password name=new_pw1 size=10>\n");
+  printf("  <tr><td align=right>neues Passwort wiederholen:\n");
+  printf("      <td><input type=password name=new_pw2 size=10>\n");
+  printf("</table>\n");
+  printf("<hr noshade>\n");
+  printf("<input type=submit name=change value='Passwort &auml;ndern'>\n");
+  printf("<input type=reset name=reset value='Eingaben l&ouml;schen'>\n");
+  printf("<input type=submit name=cancel value='Passwort doch nicht &auml;ndern'>\n");
+  printf("</center>\n");
+  printf("</form>\n");
+  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
+  printf("</body>\n");
+  printf("</html>\n");
 
-    fflush(stdout);
-    return;
+  fflush(stdout);
+  return;
 
 }
 #endif
Index: squid/contrib/chpasswd/Hungarian.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/Hungarian.h,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/contrib/chpasswd/Hungarian.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
+++ squid/contrib/chpasswd/Hungarian.h	9 Sep 2001 10:34:28 -0000	1.1.2.1.2.2
@@ -1,5 +1,6 @@
 /* Hungarian language re-added by Domonkos Sandor <domonkos@npp.hu> 
    Hungarian language added by Robert Szabo <rob@freemail.c3.hu> */
+
 #if defined(Hungarian)
 
 char *msg01 = "Nincs írási jog a jelszófile-hoz:";
@@ -24,111 +25,93 @@
 char *msg20 = "legalább az alábbi számokat (0-9)";
 char *msg21 = "Legalább az alábbi speciális jeleket (billentyüzet)";
 char *msg22 = "Internet hozzáférési jogosultság módosítása";
-char *msg23 =
-    "Az autentikációs file-nak a root tulajdonában kell lennie. Olvasd el README.";
-char *msg24 =
-    "Autentikációs file hibás jogosultsággal (755-nek kell lenni). Olvasd el README.";
+char *msg23 = "Az autentikációs file-nak a root tulajdonában kell lennie. Olvasd el README.";
+char *msg24 = "Autentikációs file hibás jogosultsággal (755-nek kell lenni). Olvasd el README.";
 char *msg25 = "Nem tudom megnyitni az autentikációs file-t.";
 char *msg26 = "Nincs jogod a jelszó módosítására.";
 char *msg27 = "Az autentikációs file-t nem találom.";
 
-static void
-UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
-    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
-    char *width, char *height, char *header, char *bgimage)
+static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
 {
 
-    char rules[255] = "<li>Composition:";
-    char wrules[255];
-    int frules = 0;
-
-    printf("Content-type: text/html\n");
-    puts("\n");
-    printf("<html>\n");
-    printf("<head>\n");
-    printf("  <title>Change Squid Password</title>\n");
-    printf("</head>\n");
-    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
-	bgimage);
-
-    if (strlen(logo) > 0)
-	printf
-	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
-	    logo, width, height, ticolor, header);
-    else
-	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
-
-    printf
-	("Biztonsági okok miatt emlékezz az alábbi szabályokra az új jelszó megadásakor:\n");
-    printf("<ul>\n");
-    printf
-	("<li>A jelszóban a kis és nagy betü különbözik, vagyis az 'A' és 'a' nem azonos.<br>\n");
-    printf
-	("<li>Használhatsz betüket, számokat és speciális karakterek a billentyüzetröl.<br>\n");
-    printf("<li>Új jelszó szabályai:<br>");
-    printf
-	("<ul><li>Hossza: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> karakter.<br>\n",
-	rucolor, minlen, rucolor, maxlen);
-
-    if (strcmp(minchar, "0") != 0) {
-	sprintf(wrules, " betük (a-z, A-Z):<font color=%s><b> %s</b></font>",
-	    rucolor, minchar);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minnum, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules, " számok (0-9):<font color=%s><b> %s</b></font>",
-	    rucolor, minnum);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minspec, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules,
-	    " speciális karakterek (billentyüzetröl):<font color=%s><b> %s</b></font>",
-	    rucolor, minspec);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (!frules) {
-	sprintf(wrules, "<font color=%s><b> szabadon választva</b></font>",
-	    rucolor);
-	strcat(rules, wrules);
-    }
-    strcat(rules, "<br>");
-    printf(rules);
-    printf("</ul>\n");
-
-    printf("<li>Az új jelszavad kb. 15 percen belül érvényes lesz.\n");
-    printf("</ul>\n");
-    printf("<form action='chpasswd.cgi' method=POST>\n");
-    printf("<center>\n");
-    printf("<hr noshade>\n");
-    printf("<table cellpadding=0 cellspacing=0>\n");
-    printf("  <tr><td align=right>Felhasználói neved:\n");
-    printf("      <td><input type=text name=user size=10>\n");
-    printf("  <tr><td align=right>Jelenlegi jelszavad:\n");
-    printf("      <td><input type=password name=old_pw size=%s>\n", maxlen);
-    printf("  <tr><td align=right>Új jelszavad:\n");
-    printf("      <td><input type=password name=new_pw1 size=%s>\n", maxlen);
-    printf("  <tr><td align=right>Új jelszavad megerösítése:\n");
-    printf("      <td><input type=password name=new_pw2 size=%s>\n", maxlen);
-    printf("</table>\n");
-    printf("<hr noshade>\n");
-    printf("<input type=submit name=change value='Jelszavam módosítása'>\n");
-    printf("<input type=reset name=reset value='Mezök törlése'>\n");
-    printf("<input type=submit name=cancel value='Megszakítás'>\n");
-    printf("</center>\n");
-    printf("</form>\n");
-    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
-    printf("</body>\n");
-    printf("</html>\n");
+  char rules[255] = "<li>Composition:";
+  char wrules[255];
+  int  frules=0;
+
+  printf("Content-type: text/html\n");
+  puts("\n");
+  printf("<html>\n");
+  printf("<head>\n");
+  printf("  <title>Change Squid Password</title>\n");
+  printf("</head>\n");
+  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
+
+  if(strlen(logo) > 0)
+     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
+   else
+     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
+
+  printf("Biztonsági okok miatt emlékezz az alábbi szabályokra az új jelszó megadásakor:\n");
+  printf("<ul>\n");
+  printf("<li>A jelszóban a kis és nagy betü különbözik, vagyis az 'A' és 'a' nem azonos.<br>\n");
+  printf("<li>Használhatsz betüket, számokat és speciális karakterek a billentyüzetröl.<br>\n");
+  printf("<li>Új jelszó szabályai:<br>");
+  printf("<ul><li>Hossza: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> karakter.<br>\n",rucolor,minlen,rucolor,maxlen);
+
+  if(strcmp(minchar,"0") != 0) {
+     sprintf(wrules," betük (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minnum,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," számok (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minspec,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," speciális karakterek (billentyüzetröl):<font color=%s><b> %s</b></font>",rucolor,minspec);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(!frules){
+     sprintf(wrules,"<font color=%s><b> szabadon választva</b></font>",rucolor);
+     strcat(rules,wrules);
+  }
+  strcat(rules,"<br>");
+  printf(rules);
+  printf("</ul>\n");
+
+  printf("<li>Az új jelszavad kb. 15 percen belül érvényes lesz.\n");
+  printf("</ul>\n");
+  printf("<form action='chpasswd.cgi' method=POST>\n");
+  printf("<center>\n");
+  printf("<hr noshade>\n");
+  printf("<table cellpadding=0 cellspacing=0>\n");
+  printf("  <tr><td align=right>Felhasználói neved:\n");
+  printf("      <td><input type=text name=user size=10>\n");
+  printf("  <tr><td align=right>Jelenlegi jelszavad:\n");
+  printf("      <td><input type=password name=old_pw size=%s>\n",maxlen);
+  printf("  <tr><td align=right>Új jelszavad:\n");
+  printf("      <td><input type=password name=new_pw1 size=%s>\n",maxlen);
+  printf("  <tr><td align=right>Új jelszavad megerösítése:\n");
+  printf("      <td><input type=password name=new_pw2 size=%s>\n",maxlen);
+  printf("</table>\n");
+  printf("<hr noshade>\n");
+  printf("<input type=submit name=change value='Jelszavam módosítása'>\n");
+  printf("<input type=reset name=reset value='Mezök törlése'>\n");
+  printf("<input type=submit name=cancel value='Megszakítás'>\n");
+  printf("</center>\n");
+  printf("</form>\n");
+  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
+  printf("</body>\n");
+  printf("</html>\n");
 
-    fflush(stdout);
-    return;
+  fflush(stdout);
+  return;
 
 }
 #endif
Index: squid/contrib/chpasswd/Italian.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/Italian.h,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/contrib/chpasswd/Italian.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
+++ squid/contrib/chpasswd/Italian.h	9 Sep 2001 10:34:28 -0000	1.1.2.1.2.2
@@ -1,5 +1,7 @@
 /* Italian language added by Luigi Gangitano <lgangitano@netscape.net> */
+
 #if defined(Italian)
+
 char *msg01 = "Diritti insufficienti per scrivere il file delle password:";
 char *msg02 = "Manca la nuova password o e' troppo corta (meno di";
 char *msg03 = "caratteri).";
@@ -17,116 +19,98 @@
 char *msg15 = "Non e' possibile aprire il file di configurazione:";
 char *msg16 = "Non e' possibile aprire il file di log:";
 char *msg17 = "La nuova password non e' valida.";
-char *msg18 =
-    "Per favore, usare le seguenti regole per inserire la nuova passowrd:";
+char *msg18 = "Per favore, usare le seguenti regole per inserire la nuova passowrd:";
 char *msg19 = "Numero di lettere (minimo) (a-z, A-Z)";
 char *msg20 = "Numero di cifre (minimo9 (0-9)";
 char *msg21 = "Numero di caratteri speciali (minimo) (eg: %,&,*,ecc.)";
 char *msg22 = "Cambia la tua Password di Accesso al server Squid";
-char *msg23 =
-    "Il file di autorizzazione deve essere intestato al root. Leggere il file README.";
-char *msg24 =
-    "Il file di autorizzazione ha permessi insufficienti (deve essere 755). Leggere il file README.";
+char *msg23 = "Il file di autorizzazione deve essere intestato al root. Leggere il file README.";
+char *msg24 = "Il file di autorizzazione ha permessi insufficienti (deve essere 755). Leggere il file README.";
 char *msg25 = "Impossibile aprire il file di autorizzazione.";
 char *msg26 = "Non sei autorizzato a cambiare la password.";
 char *msg27 = "Il file di autorizzazione non e' stato trovato.";
 
-static void
-UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
-    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
-    char *width, char *height, char *header, char *bgimage)
+static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
 {
 
-    char rules[255] = "<li>Composizione:";
-    char wrules[255];
-    int frules = 0;
-
-    printf("Content-type: text/html\n");
-    puts("\n");
-    printf("<html>\n");
-    printf("<head>\n");
-    printf("  <title>Cambia la Password del server Squid</title>\n");
-    printf("</head>\n");
-    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
-	bgimage);
-
-    if (strlen(logo) > 0)
-	printf
-	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
-	    logo, width, height, ticolor, header);
-    else
-	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
-
-    printf
-	("Per ragioni di sicurezza, ricorda queste avvertenze riguardo alla tua password:\n");
-    printf("<ul>\n");
-    printf
-	("<li>La password e' case-sensitive, il che vuol dire che 'A' non e' la stessa cosa di 'a'.<br>\n");
-    printf
-	("<li>Puoi usare lettere, numeri o caratteri speciali della tua tastiera.<br>\n");
-    printf("<li>Regole riguardanti la nuova password:<br>");
-    printf
-	("<ul><li>Lunghezza: minimo <font color=%s><b>%s</b></font>, massimo <font color=%s><b>%s</b></font> caratteri.<br>\n",
-	rucolor, minlen, rucolor, maxlen);
-
-    if (strcmp(minchar, "0") != 0) {
-	sprintf(wrules, " lettere (a-z, A-Z):<font color=%s><b> %s</b></font>",
-	    rucolor, minchar);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minnum, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules, " numeri (0-9):<font color=%s><b> %s</b></font>",
-	    rucolor, minnum);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minspec, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules,
-	    " caratteri speciali (eg: %,&,*,ecc.):<font color=%s><b> %s</b></font>",
-	    rucolor, minspec);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (!frules) {
-	sprintf(wrules, "<font color=%s><b> Scelta libera</b></font>", rucolor);
-	strcat(rules, wrules);
-    }
-    strcat(rules, "<br>");
-    printf(rules);
-    printf("</ul>\n");
-
-    printf("<li>La tua nuova password sara' attivata entro 15 minuti.\n");
-    printf("</ul>\n");
-    printf("<form action='chpasswd.cgi' method=POST>\n");
-    printf("<center>\n");
-    printf("<hr noshade>\n");
-    printf("<table cellpadding=0 cellspacing=0>\n");
-    printf("  <tr><td align=right>Il tuo Account:\n");
-    printf("      <td><input type=text name=user size=10>\n");
-    printf("  <tr><td align=right>La tua Password attuale:\n");
-    printf("      <td><input type=password name=old_pw size=%s>\n", maxlen);
-    printf("  <tr><td align=right>La nuova Password:\n");
-    printf("      <td><input type=password name=new_pw1 size=%s>\n", maxlen);
-    printf("  <tr><td align=right>Riscrivi la nuova Password:\n");
-    printf("      <td><input type=password name=new_pw2 size=%s>\n", maxlen);
-    printf("</table>\n");
-    printf("<hr noshade>\n");
-    printf("<input type=submit name=change value='Cambia la mia password'>\n");
-    printf("<input type=reset name=reset value='Pulisci i campi'>\n");
-    printf("<input type=submit name=cancel value='Cancella'>\n");
-    printf("</center>\n");
-    printf("</form>\n");
-    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
-    printf("</body>\n");
-    printf("</html>\n");
+  char rules[255] = "<li>Composizione:";
+  char wrules[255];
+  int  frules=0;
+
+  printf("Content-type: text/html\n");
+  puts("\n");
+  printf("<html>\n");
+  printf("<head>\n");
+  printf("  <title>Cambia la Password del server Squid</title>\n");
+  printf("</head>\n");
+  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
+
+  if(strlen(logo) > 0)
+     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
+   else
+     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
+
+  printf("Per ragioni di sicurezza, ricorda queste avvertenze riguardo alla tua password:\n");
+  printf("<ul>\n");
+  printf("<li>La password e' case-sensitive, il che vuol dire che 'A' non e' la stessa cosa di 'a'.<br>\n");
+  printf("<li>Puoi usare lettere, numeri o caratteri speciali della tua tastiera.<br>\n");
+  printf("<li>Regole riguardanti la nuova password:<br>");
+  printf("<ul><li>Lunghezza: minimo <font color=%s><b>%s</b></font>, massimo <font color=%s><b>%s</b></font> caratteri.<br>\n",rucolor,minlen,rucolor,maxlen);
+
+  if(strcmp(minchar,"0") != 0) {
+     sprintf(wrules," lettere (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minnum,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," numeri (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minspec,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," caratteri speciali (eg: %,&,*,ecc.):<font color=%s><b> %s</b></font>",rucolor,minspec);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(!frules){
+     sprintf(wrules,"<font color=%s><b> Scelta libera</b></font>",rucolor);
+     strcat(rules,wrules);
+  }
+  strcat(rules,"<br>");
+  printf(rules);
+  printf("</ul>\n");
+
+  printf("<li>La tua nuova password sara' attivata entro 15 minuti.\n");
+  printf("</ul>\n");
+  printf("<form action='chpasswd.cgi' method=POST>\n");
+  printf("<center>\n");
+  printf("<hr noshade>\n");
+  printf("<table cellpadding=0 cellspacing=0>\n");
+  printf("  <tr><td align=right>Il tuo Account:\n");
+  printf("      <td><input type=text name=user size=10>\n");
+  printf("  <tr><td align=right>La tua Password attuale:\n");
+  printf("      <td><input type=password name=old_pw size=%s>\n",maxlen);
+  printf("  <tr><td align=right>La nuova Password:\n");
+  printf("      <td><input type=password name=new_pw1 size=%s>\n",maxlen);
+  printf("  <tr><td align=right>Riscrivi la nuova Password:\n");
+  printf("      <td><input type=password name=new_pw2 size=%s>\n",maxlen);
+  printf("</table>\n");
+  printf("<hr noshade>\n");
+  printf("<input type=submit name=change value='Cambia la mia password'>\n");
+  printf("<input type=reset name=reset value='Pulisci i campi'>\n");
+  printf("<input type=submit name=cancel value='Cancella'>\n");
+  printf("</center>\n");
+  printf("</form>\n");
+  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
+  printf("</body>\n");
+  printf("</html>\n");
 
-    fflush(stdout);
-    return;
+  fflush(stdout);
+  return;
 
 }
 #endif
